// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * format_buttons
 *
 * @package    format_buttons
 * @author     Rodrigo Brandão (rodrigobrandao.com.br)
 * @copyright  2016 Rodrigo Brandão
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

M.format_buttons = M.format_buttons || {
    ourYUI: null,
    numsections: 0
};

/**
 * init
 *
 */
M.format_buttons.init = function(Y, numsections) {
    this.ourYUI = Y;
    this.numsections = parseInt(numsections);
    /* show buttonsectioncontainer */
    document.getElementById('buttonsectioncontainer').style.display = 'table';
};

/**
 * hide
 *
 */
M.format_buttons.hide = function () {
    for (i = 1; i <= this.numsections; i++) {
        var buttonsection = document.getElementById('buttonsection-'+i);
        buttonsection.setAttribute('class', buttonsection.getAttribute('class').replace('sectionvisible', ''));
        document.getElementById('section-'+i).style.display = 'none';
    }
};

/**
 * show
 *
 */
M.format_buttons.show = function (i) {
    this.hide();
    var buttonsection = document.getElementById('buttonsection-'+i);
    buttonsection.setAttribute('class', buttonsection.getAttribute('class') + ' sectionvisible');
    document.getElementById('section-'+i).style.display = 'block';
    document.cookie = 'sectionvisible='+i+'; path=/';
};
